<?php
/**
 * Страница с результатом установки модуля.
 */

if (!check_bitrix_sessid()) {
    return;
}
global $errors;

$adminMessage = new CAdminMessage('');
if (empty($errors) && CModule::IncludeModule(Delobank::MODULE_ID)) {
    $adminMessage->ShowNote(getMessage(DELOBANK_LANG_PREFIX . 'INSTALL_MESSAGE'));
} else {
    $adminMessage->ShowMessage([
        'TYPE'    => 'ERROR',
        'MESSAGE' => GetMessage('MOD_INST_ERR'),
        'DETAILS' => $errors,
        'HTML'    => true
    ]);
}
?>
<form action="<?php echo $APPLICATION->GetCurPage() ?>">
    <input type="hidden" name="lang" value="<?php echo LANG ?>">
    <input type="submit" name="" value="<?php echo GetMessage('MOD_BACK') ?>">
    <?php if (empty($errors)) { ?>
        <input type="button" onclick="document.location='/bitrix/admin/settings.php?lang=<?php echo LANGUAGE_ID ?>&mid_menu=1&mid=<?php echo Delobank::MODULE_ID ?>'" value="<?php echo GetMessage(DELOBANK_LANG_PREFIX . 'BTN_HELP') ?>" />
        <br/><br/>
        <div>Для настройки платежного модуля перейдите в раздел Магазин > Настройки >
            <a href="/bitrix/admin/sale_pay_system.php?lang=<?php echo LANGUAGE_ID ?>">Платежные системы</a>, добавьте новую платежную систему
            и в качестве обработчика присвойте ей «<?php echo GetMessage(DELOBANK_LANG_PREFIX . 'SHORT_NAME')?>»</div>
    <?php } ?>
</form>