<?php
if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED !== true) {
    exit();
}
$psTitle = 'ДелоБанк оплата через QR-код';
$psDescription = 'Позволяет проводить платежи с помощью QR-кода';

/** @var \Bitrix\Sale\Compatible\CDBResult $statuses */
$statuses = CSaleStatus::GetList();
$statusArr = [];
while ($status = $statuses->Fetch()) {
    $statusArr[$status['ID']] = $status['NAME'];
}
$arPSCorrespondence = [
    'MERCHANT_ID_QRCODE' => [
        'NAME'    => 'Идентификатор ТСП',
        'DESCR'   => 'Идентификатор организации или индивидуального предпринимателя, установивший договорные взаимоотношения с Банком в целях использования СБП для расчетов за реализуемые товары (работы, услуги), будет передан сотрудниками Банка после регистрации',
        'VALUE'   => '',
        'TYPE'    => 'STRING',
        'SORT'    => 10,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'VALUE',
            'PROVIDER_VALUE' => (isset($_SERVER['DELOBANK_ENVIRONMENT']) ? 'D8972A33-2E9B-434A-AFDE-0DDB023DA299' : '')
        ]
    ],
    'LOGIN_QRCODE' => [
        'NAME'    => 'Логин для СБП',
        'DESCR'   => 'Будет передан сотрудниками Банка после регистрации',
        'VALUE'   => '',
        'TYPE'    => 'STRING',
        'SORT'    => 15,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'VALUE',
            'PROVIDER_VALUE' => (isset($_SERVER['DELOBANK_ENVIRONMENT']) ? 'fsp_apiaccess' : '')
        ]
    ],
    'PASSWORD_QRCODE' => [
        'NAME'    => 'Пароль для СБП',
        'DESCR'   => 'Будет передан сотрудниками Банка после регистрации',
        'VALUE'   => '',
        'TYPE'    => 'STRING',
        'SORT'    => 20,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'VALUE',
            'PROVIDER_VALUE' => (isset($_SERVER['DELOBANK_ENVIRONMENT']) ? 'sjg%?E6yvD6R' : '')
        ]
    ],
    'URL_QRCODE' => [
        'NAME'    => 'URL СБП',
        'DESCR'   => 'Куда делать запросы за QR-кодами',
        'VALUE'   => '',
        'TYPE'    => 'STRING',
        'SORT'    => 25,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'VALUE',
            'PROVIDER_VALUE' => (isset($_SERVER['DELOBANK_ENVIRONMENT']) ? 'https://api-gate-t:5443/skbbank/sbp/qr' : 'https://sbp.api.skbbank.ru/qr')
        ]
    ],
    'AFTER_STATUS' => [
        'NAME'    => 'Статус заказа после успешной оплаты',
        'DESCR'   => 'После успешной оплаты заказ автоматически переводится в этот статус',
        'INPUT'   => [
            'TYPE'    => 'ENUM',
            'OPTIONS' => $statusArr,
        ],
        'SORT'    => 30,
        'DEFAULT' => [
            'PROVIDER_KEY'   => 'INPUT',
            'PROVIDER_VALUE' => 'P'
        ]
    ],
];
